### Enumeration

# WebKit CookieAcceptPolicy

unstable since: 6.0

#### Declaration

    enum WebKit.CookieAcceptPolicy

#### Description [src]

Enum values used to denote the cookie acceptance policies.

Available since: 6.0

#### Members

`WEBKIT_COOKIE_POLICY_ACCEPT_ALWAYS`

  Accept all cookies unconditionally.

  - Value: `0`
  - Nickname: `always`
  - Available since: 6.0
`WEBKIT_COOKIE_POLICY_ACCEPT_NEVER`

  Reject all cookies unconditionally.

  - Value: `1`
  - Nickname: `never`
  - Available since: 6.0
`WEBKIT_COOKIE_POLICY_ACCEPT_NO_THIRD_PARTY`

  Accept only cookies set by the main document loaded.

  - Value: `2`
  - Nickname: `no-third-party`
  - Available since: 6.0